Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10329

Description

I guess that these issues are in the radar but as i don't see them in the bug reports, I reproduce them:

1) GUI: Under certain circumstances, if one opens the Composer once, then close it, the window does not open again. This does not

happen all the times, but it is independent of the specific project and regardless the way to invoke the function (File/Print, Command-P or

clicking on the icon). One has to relaunch QGIS to be able to access to the composer window again.

2) GUI: Similar to the previous but with the Print icon in the composer window. This happens all the time:

a) open the composer

b) click the print icon; the print window opens

c) click print or close

d) click the print again; the print window fails to open

The print output is rather defficient, especially in SVG and PDF to some extent. Major issue with PDF is font size and paper scaling

(somehow it clips the printing area, regardless of the actual paper size selection in the composer). If interested, I can comment longer on

the printing issues.

Thanks,

AC

History

#1 - 2006-09-18 03:18 AM - Gavin Macaulay -

The problems with svg output from qgis are known of, and qgis now informs the user of this when they print to svg (corporate-speak "we're managing the

users expectations" (rather than fixing the problem:)) The problem is that Qt4 doesn't support text when writing svg, and also has problems with clipping. I'd

prefer to wait for Qt to be fixed rather than develop our own QPainter to svg code.

The other issues don't appear to happen on Linux

#2 - 2006-12-16 08:22 PM - Gavin Macaulay -

Item 1 is probably fixed (the composer window is now a modeless dialog box with it's own taskbar entry - in windows and linux at least).

Can you try with a later version of qgis and let us know what still needs resolving?

Thanks

Gavin
#3 - 2006-12-18 02:08 AM - anonymous -

PDF clipping. When printing to PDF you can only use predefined paper sizes

and you must set that paper also in print dialog. Currently Qt does not support 

user paper size (it should be added in Qt4.3). But IIRC you should be warned 

if the paper in printer dialog is smaller than that in composition.

Workaroud is to use PS/EPS and ps2pdf.

Radim

#4 - 2006-12-19 10:22 PM - Tom Elwertowski

Item 2 occurs with Qt 4.1 but not 4.2. I have also not seen item 1 since upgrading to Qt 4.2.

#5 - 2006-12-19 11:11 PM - Gavin Macaulay -

- Status changed from Open to Closed

- Resolution set to fixed

We'll call that fixed then :)

#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
